#!/bin/bash 
# copiaauto.sh
# vers. 1.0.4
stty -isig

######################################################################
# vers. 1.0.3 - 13 set 2007 unificata gest. demografici (edem)
# vers. 1.0.2 - 10 gen 2007 inserito stty -isig x non bloccare
#                           l'esecuzione dello script

# Procedura per la copia automatica (crontab) degli archivi sibac


# Variabili d'ambiente

######################################################################
# Elenco delle procedure SIBAC suddivise per area
######################################################################
prg_demografici="edem"
prg_segreteria="edeli eprot emess"
prg_tributi="egit"
prg_finanziaria="eb77"
prg_pagheeco="epag"
prg_paghegiu="erugg"
prg_commercio="elice"
prg_invcivili="icv"
prg_economato="eeco"
prg_rilpresenze="time"
prg_mutui="emut"
prg_cimiteriali="ecimi"
prg_rette="re"
prg_servsociali="ss"
######################################################################

# NOTA: tutti i files contenenti le variabili d'ambiente devono essere
#  sempre  presenti su /sibac/variabili 

cd /sibac
# /bin/tar cvfj /sibac/copie/$(date +%F).tar.bz2 $prg_rette $prg_servsociali $prg_demografici $prg_segreteria $prg_tributi $prg_finanziaria $prg_pagheeco $prg_paghegiu $prg_commercio $prg_invcivili $prg_economato $prg_rilpresenze $prg_mutui $prg_cimiteriali scripts variabili

find $prg_rette $prg_servsociali $prg_demografici $prg_segreteria $prg_tributi $prg_finanziaria $prg_pagheeco $prg_paghegiu $prg_commercio $prg_invcivili $prg_economato $prg_rilpresenze $prg_mutui $prg_cimiteriali scripts variabili -print | /bin/cpio -o > /sibac/copie/$(date +%a).cpio && gzip -f /sibac/copie/$(date +%a).cpio

