#!/bin/bash 
# creaagg_web.sh
# vers. 1.0.4

######################################################################
# vers. 1.0.3 - 13 set 2007 unificata gest. demografici (edem)
#
# 12/01/07	Modificato permissioni cartella /sibac/aggiornamento
#		Inserito funzione x invio aggiornamento via Web 
# vers. 1.0.4 - 23 mar 2009 aggiunto re ss 

######################################################################
# Verifico che l'utente che utilizza questo programma sia "root"
if test $(whoami) != "root"; then 
	echo -e "DEVI ESSERE ROOT!!"
	sleep 5
	exit
fi

######################################################################
# verifico che esistano le directory "obbligatorie" per poter procedere

if test  ! -d /sibac/aggiornamenti ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DEGLI AGGIORNAMENTI!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir /sibac/aggiornamenti
	sleep 3
fi

if test  ! -d /sibac/aggiornamenti/creaagg ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY PER CREARE GLI AGGIORNAMENTI!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir /sibac/aggiornamenti/creaagg
	sleep 3
fi

clear
echo -e "\nProcedura per creare gli aggiornamenti di SIBAC\n"
echo -e "ATTENZIONE!!"
echo -e "Confermando verranno cancellati tutti i files presenti"
echo -e "nella cartella 'creaagg'"
echo -e "<return> per proseguire <0> per annullare \c"
read attesa
echo -e ""
if test -z $attesa ;then
	echo -e "Cancello i vecchi files d'aggiornamento......\n"
	cd /sibac/aggiornamenti
	/bin/rm -rf /sibac/aggiornamenti/creaagg
	echo -e "\nCreo le cartelle d'appoggio..................\n"
	mkdir /sibac/aggiornamenti/creaagg
	cd /sibac/aggiornamenti/creaagg
	mkdir edem eb77 ecimi edeli eeco elice emess emut epag eprot erugg icv time re ss
	mkdir egit egit/acu egit/ct2 egit/ici egit/xin egit/xnu egit/xtp egit/ski egit/cid egit/cns  egit/f24  egit/fit 
	chown -R sibac.sibac /sibac/aggiornamenti
	chmod -R 770 /sibac/aggiornamenti

	echo -e "\nAdesso puoi copiare, da altro terminale, i files d'aggiornamento su /sibac/aggiornamenti/creaagg"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	echo -e ""
	if test -z $attesa ;then
		echo -e "Configuro le permissioni ai files...\n"
		/bin/chown -R sibac.sibac *
		/bin/chmod -R 770 *
		echo -e "Indicare il nome del file dell'aggiornamento :\c"
		read nomeagg
		/bin/tar cvfz ../$nomeagg.tar.gz .
		echo -e "$nomeagg.tar.gz e' stato creato su /sibac/aggiornamenti"
	fi

	clear
	echo -e "\nPubblicazione Aggriornamento su Internet ftp.meminformatica.com"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	echo -e ""
	if test -z $attesa ;then
           ncftpput -u mem_web -p andromeda06 ftp.meminformatica.com /assistenza/aggiornamenti/alphasoft ../$nomeagg.tar.gz 

	fi

fi

