# MEM 19/09/06 - Script per copiare gli archivi dell'area amministrativa su
# HD esterno

# Verifico se il disco esterno e' montato sul sistema, se non e'
# montato lo monto e procedo

echo "**** INIZIO COPIA ****"
/bin/df -h | /bin/grep -i usb > /tmp/testhd


if [ ! -s /tmp/testhd ] ; then
	echo Monto il disco esterno 
	echo "......................"
	/bin/mount /mnt/usb
	sleep 5
fi

# Elenco delle directory da copiare
cosacopiare="/etc /sispac /home"

# con la copia creo un file sul disco USB 
dovecopiare="/mnt/usb/mem_pc37/copie/`date +'%y%m%d.tar.gz'`"

# Comando per copiare
echo "--------------------------------------------------"
echo "Inizio la copia degli archivi `date +'%d.%m.%y - Ora:%H.%M'`"
echo "--------------------------------------------------"
/bin/tar cvfz $dovecopiare $cosacopiare

# smonto il disco esterno
echo "......................."
echo Smonto il disco esterno 
# /bin/umount /mnt/usb && /sbin/shutdown -h now
sleep 5
echo "--------------------------------------------------"
echo "Fine della copia degli archivi `date +'%d.%m.%y - Ora:%H.%M'`"
echo "--------------------------------------------------"

# smontaggio HD esterno
# /bin/umount /mnt/usb

# smontaggio HD esterno e chiusura del sistema
echo "Chiusura Sistema Operativo"
/bin/umount /mnt/usb && /sbin/shutdown -h now

