#!/bin/bash 
# installapkg.sh
# vers. 1.0.3

###############################################################
# script x l'installazione dei pacchetti di sistema utili all'#
# utilizzo dell'ambiente Sibac su server Ubuntru 6.06
###############################################################


# Verifico che l'utente che utilizza questo programma sia "root"
if test $(whoami) != "root"; then 
	echo -e "DEVI ESSERE ROOT!!"
	exit
fi

clear
echo -e "UBUNTU SERVER 6.0.6.02\n"
echo -e "Procedura per l'installazione dei pacchetti utili all'ambiente SIBAC\n\n"
echo -e "                 *** ATTENZIONE!! *** \n"
echo -e "Prima di proseguire modificare i repository del sistema\n\n"
echo -e "<return> per proseguire <0> per annullare \c"
read attesa
echo -e ""
if test -z $attesa ;then

	echo -e "Installo server SSH"
	apt-get -y install ssh
	echo -e "\n\n"
	sleep 3
	echo -e "Installo server FTP"
	apt-get -y install vsftpd
	echo -e "\n\n"
	sleep 3
	echo -e "Installo Utility MS-DOS"
	apt-get -y install mtools
	echo -e "\n\n"
	sleep 3
	echo -e "Installo ulteriori Utility di Systema"
	apt-get -y install sysutils
	echo -e "\n\n"
	sleep 3
	echo -e "Installo MKISOFS"
	apt-get -y install mkisofs
	echo -e "\n\n"
	sleep 3
	echo -e "Installo CDRECORD"
	apt-get -y install cdrecord
	echo -e "\n\n"
	sleep 3
	echo -e "Installo Utility x Masterizzatore DVD"
	apt-get -y install dvd+rw-tools
	echo -e "\n\n"
	sleep 3
	echo -e "Installo server SAMBA"
	apt-get -y install samba
	echo -e "\n\n"
	sleep 3
	echo -e "Installo NCFTP"
	apt-get -y install ncftp
	echo -e "\n\n"

fi

