#!/bin/bash 
# masterizza.sh
# vers. 1.0.4

####################################################################
# Elenco delle procedure SIBAC suddivise per area
######################################################################
prg_demografici="/sibac/edem"
prg_segreteria="/sibac/edeli /sibac/eprot /sibac/emess"
prg_tributi="/sibac/egit"
prg_finanziaria="/sibac/eb77"
prg_pagheeco="/sibac/epag"
prg_paghegiu="/sibac/erugg"
prg_commercio="/sibac/elice"
prg_invcivili="/sibac/icv"
prg_economato="/sibac/eeco"
prg_rilpresenze="/sibac/time"
prg_mutui="/sibac/emut"
prg_cimiteriali="/sibac/ecimi"
prg_rette="/sibac/re"
prg_servsociali="/sibac/ss"

######################################################################
masterizzatore=/dev/hdc

echo -e "\nCancellazione cdrom \n"
dvd+rw-format -force $masterizzatore

sleep 10

echo -e "\nCreo l'immagine e masterizzo .... \n"
growisofs -dvd-compat -Z $masterizzatore -v -T -r -J /home/sibac/copie && sleep 10 && eject $masterizzatore

